#include "font.hpp"


/* function to recover memory form our list of characters */
FontRenderer::~FontRenderer( GLvoid )
{
    glDeleteLists( base, 256 ); /* Delete All 256 Display Lists */

    return;
}

FontRenderer::FontRenderer( ):
PixelLoader("sprites/font.bmp", 4, 6, 26, 1,true)
{

}


/* function to build our font list */
void  FontRenderer::BuildFont()
{

}


GLvoid FontRenderer::glPrint( GLint x, GLint y, const char *string,float scale)
{

    /* Position The Text (0,0 - Bottom Left) */

    glDisable( GL_DEPTH_TEST );
    glScalef(scale,scale,scale);
    for (unsigned int i=0;i<strlen(string);i++)
    {
        drawTile(scale*x+8*i,scale*y,tilelist+string[i]-'b');
    }
    glScalef(1/scale,1/scale,1/scale);

    glEnable( GL_DEPTH_TEST );
}
