#ifndef PIXELLOADER_HPP
#define PIXELLOADER_HPP

#include <string>

#include "SDL/SDL.h"
#include "SDL/SDL_opengl.h"

using namespace std;

class PixelLoader {
public:
    void drawTile(int x, int y, int tile);
    void drawTileIM(int x, int y, int tile);
    PixelLoader(string imagepath, int etilewidth, int etileheight, int extiles, int eytiles,bool esprites);
    ~PixelLoader();
protected:
    GLuint tilelist;
private:
    void genLists();
    int tiletype(int tile);
    SDL_Color GetPixel ( SDL_Surface* pSurface , int x , int y );
    SDL_Surface* tilesheet;
    int tilewidth;
    int tileheight;
    int xtiles;
    int ytiles;
    bool sprites;
};

#endif /* PIXELLOADER_HPP */
