#include "cutscene.hpp"

#include "mathstuff.hpp"
#include "mainpart.hpp"
#include "gamestrings.hpp"


void CutScene::drawCutBars()
{

}

void CutScene::dildodraw()
{

}

void CutScene::reset()
{

}

CutScene::CutScene(const SubengineInterface* subengines, Global_Variables* p_global_variables):
EnginePart(subengines),
state(new CutScene_State),
global_variables(p_global_variables)
{

};

CutScene::~CutScene()
{
  delete state;
}

void CutScene::setCamera()
{

}

int CutScene::input(const SDL_Event& event)
{
		if( event.type == SDL_KEYDOWN )
    {
      switch( event.key.keysym.sym )
      {
        case SDLK_ESCAPE:
        case SDLK_SPACE:
          if (global_variables->level<7)
            return 1;//if level>maxlevel return something else, yeah?
          else
            return 2;//go to title screen
          break;
        default:
            break;
      }
    }

  return 0;
}

int CutScene::logic()
{

  return 0;
}


static const char* texts[] = {
        "together",
        "help",
        "apart",
        "reunited",
        "distance",
        "kiss me",
        "the end"};

void CutScene::draw()
{
  glLoadIdentity();
  glScalef(0.04,0.04,0.04);



graphicsengine->fontrenderer->glPrint(-140,10,texts[global_variables->level-1],0.4f);

    if (global_variables->level<7)
    {
       graphicsengine->tiles->drawTile(-24,17,10);
       graphicsengine->tiles->drawTile(-16,17,10);
       graphicsengine->tiles->drawTile(-8,17,10);
       graphicsengine->tiles->drawTile(0,17,10);
       graphicsengine->tiles->drawTile(8,17,10);
       graphicsengine->tiles->drawTile(16,17,10);

       graphicsengine->tiles->drawTile(-24,-12,10);
       graphicsengine->tiles->drawTile(-16,-12,10);
       graphicsengine->tiles->drawTile(-8,-12,10);
       graphicsengine->tiles->drawTile(0,-12,10);
       graphicsengine->tiles->drawTile(8,-12,10);
       graphicsengine->tiles->drawTile(16,-12,10);
    }
    else
    {
       graphicsengine->tiles->drawTile(-24,17,11);
       graphicsengine->tiles->drawTile(-16,17,11);
       graphicsengine->tiles->drawTile(-8,17,11);
       graphicsengine->tiles->drawTile(0,17,11);
       graphicsengine->tiles->drawTile(8,17,11);
       graphicsengine->tiles->drawTile(16,17,11);

       graphicsengine->tiles->drawTile(-24,-12,11);
       graphicsengine->tiles->drawTile(-16,-12,11);
       graphicsengine->tiles->drawTile(-8,-12,11);
       graphicsengine->tiles->drawTile(0,-12,11);
       graphicsengine->tiles->drawTile(8,-12,11);
       graphicsengine->tiles->drawTile(16,-12,11);
    }

}
