#ifndef ENGINEINSTANCE_HPP
#define ENGINEINSTANCE_HPP

#include "Engine/engine.hpp"
#include "globals.hpp"

enum GameState {
	gs_intro=0,
	gs_title,
	gs_prelude,
	gs_game,
	gs_badending,
	gs_goodending,
	gs_quit
};


class GameEngine: public Engine {
public:
  GameEngine();
  ~GameEngine();
protected:
  int control(int oldpart, int message);
  Global_Variables* global_variables;
};

#endif /* ENGINEINSTANCE_HPP */
